<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Makroseismisk sp&oslash;rreskjema</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="style.css" rel="stylesheet" type="text/css">
<script Language="JavaScript">

function notEmpty(str)
{
	if (str.length > 0)
	{
		return true;
	}
	else
	{
		return false;
	}
		
}

function validPos(lenGra, lenMin, breGra, breMin)
{
	if (notEmpty(lenGra.value) && notEmpty(lenMin.value) && notEmpty(breGra.value) && notEmpty(breMin.value))
	{
		return true;
	}
	else
	{
		return false;
	}	
}

function validBesk(beskr)
{
	if (notEmpty(beskr.value))
	{
		return true;
	}
	else
	{
		return false;
	}
}

function validPostNr(formField)
{
	var result = true;
 
	var num = parseInt(formField.value, 10);

	if (isNaN(num))
	{
		result = false;
	}
	else if (num < 1000 || num > 9999)
	{
		result = false;	
	}
	return result;
}


function validateForm(theForm)
{
	var postnr = false;
	var beskr = false;
	var pos  = false;
	var result = true;
	
	postnr = validPostNr(form1.postnr);
	beskr  = validBesk(form1.beskr);
	pos    = validPos(form1.lenGra, form1.lenMin, form1.breGra, form1.breMin);
	
	if (!(postnr || beskr || pos))
	{
		alert('Vennligst oppgi postnummer, stedsbeskrivelse eller lengde/breddegrad');
		result = false;
	}
	return result;
}

</script>
</head>
<body> 
<form name="form1" id="form1" method="post" action="macroquest_submit.php" onsubmit="return validateForm(this)"> 
  <table width="760" border="0"> 
    <tr> 
      <td><p align="center"> <img src="logo.png" width="300" height="94"></p> 
        <p align="center" class="header">Makrosesimisk sp&oslash;rreskjema</p> 
        <p align="center">i forbindelse med jordskjelv<br><strong>
          <?php
		  
		  $year =   substr($_REQUEST['gmt'],0,4);
		  $month =  substr($_REQUEST['gmt'],4,2);
		  $day =    substr($_REQUEST['gmt'],6,2);
		  $hour =   substr($_REQUEST['gmt'],8,2);
		  $minute =	substr($_REQUEST['gmt'],10,2); 
		  
		echo $day . "." . $month . "." . $year . " kl " . $hour . ":" . $minute;
		?> GMT/UTC</strong> <br>
(<?php
		  echo strftime("%d.%m.%Y kl %H:%M", gmmktime($hour, $minute, 0, $month, $day, $year)) ." lokal tid)</a>";
			?>
          <input name="gmt" type="hidden" id="gmt" value="<?php echo $_REQUEST['gmt']?>"> 
        </p> 
        <p>Institutt for geovitenskap ved Universitetet i Bergen &oslash;nsker &aring; kartlegge omfanget av rystelsene av dette skjelvet.<br> 
          Det er viktig at selv de som knapt merket jordskjelvet besvarer dette skjemaet. </p></td> 
    </tr> 
  </table> 
  <br> 
  <table width="760" border="0"> 
    <tr> 
      <td>Ble skjelvet merket? </td> 
      <td width="20"> <div align="center"> 
          <input name="merket" type="radio" value="ja" checked> 
        </div></td> 
      <td width="100"> Ja</td> 
      <td width="20"><input name="merket" type="radio" value="nei"> </td> 
      <td width="100">Nei</td> 
      <td width="20">&nbsp;</td> 
      <td width="100">&nbsp;</td> 
      <td width="20">&nbsp;</td> 
      <td>&nbsp;</td> 
    </tr> 
    <tr> 
      <td>Hvor var du?</td> 
      <td width="20"> <div align="center"> 
          <input name="hvor" type="radio" value="ute"> 
        </div></td> 
      <td width="100">Ute</td> 
      <td width="20"><input name="hvor" type="radio" value="inne" checked></td> 
      <td width="100"> Inne</td> 
      <td width="20">&nbsp;</td> 
      <td width="100">&nbsp; </td> 
      <td width="20">&nbsp;</td> 
      <td>&nbsp;</td> 
    </tr> 
    <tr> 
      <td>Var du v&aring;ken eller sov? </td> 
      <td width="20"> <div align="center"> 
          <input name="tilstand" type="radio" value="v&aring;ken" checked> 
        </div></td> 
      <td>V&aring;ken</td> 
      <td><input name="tilstand" type="radio" value="sov"></td> 
      <td>Sov</td> 
      <td>&nbsp;</td> 
      <td>&nbsp;</td> 
      <td>&nbsp;</td> 
      <td>&nbsp;</td> 
    </tr> 
    <tr> 
      <td>Bygningstype:</td> 
      <td width="20"> <div align="center"> 
          <input name="bygningstype" type="radio" value="tre" checked> 
        </div></td> 
      <td>Tre</td> 
      <td><input name="bygningstype" type="radio" value="mur"></td> 
      <td> Mur/lettbetong</td> 
      <td><input name="bygningstype" type="radio" value="betong"> </td> 
      <td>Betong</td> 
      <td>&nbsp;</td> 
      <td>&nbsp;</td> 
    </tr> 
    <tr> 
      <td>Antall etasjer i bygningen:</td> 
      <td colspan="2"><div align="right"> </div> 
        <select name="etasjer" id="etasjer"> 
          <option>1</option> 
          <option selected>2</option> 
          <option>3</option> 
          <option>4</option> 
          <option>5</option> 
          <option>6</option> 
          <option>7</option> 
          <option>8</option> 
          <option>9</option> 
          <option>10</option> 
          <option>11</option> 
          <option>12</option> 
          <option>13</option> 
          <option>14</option> 
          <option>15</option> 
          <option>16</option> 
          <option>17</option> 
          <option>18</option> 
          <option>19</option> 
          <option>20</option> 
          <option>21</option> 
          <option>22</option> 
          <option>23</option> 
          <option>24</option> 
          <option>25</option> 
          <option>26</option> 
          <option>27</option> 
          <option>28</option> 
          <option>29</option> 
          <option>30</option> 
          <option>31</option> 
          <option>32</option> 
          <option>33</option> 
          <option>34</option> 
          <option>35</option> 
          <option>36</option> 
          <option>37</option> 
          <option>38</option> 
          <option>39</option> 
          <option>40</option> 
          <option>41</option> 
          <option>42</option> 
          <option>43</option> 
          <option>44</option> 
          <option>45</option> 
        </select></td> 
      <td>&nbsp;</td> 
      <td>&nbsp;</td> 
      <td>&nbsp;</td> 
      <td>&nbsp;</td> 
      <td>&nbsp;</td> 
      <td>&nbsp;</td> 
    </tr> 
    <tr> 
      <td>Jordbunnstype:</td> 
      <td width="20"> <div align="center"> 
          <input name="jordbunn" type="radio" value="fjell" checked> 
        </div></td> 
      <td>Fjell</td> 
      <td><input name="jordbunn" type="radio" value="sand"></td> 
      <td> Sand</td> 
      <td><input name="jordbunn" type="radio" value="leire"> </td> 
      <td>Leire</td> 
      <td><input name="jordbunn" type="radio" value="l&oslash;smasser"></td> 
      <td> L&oslash;smasser</td> 
    </tr> 
  </table> 
  <strong><br> 
  Sp&oslash;rsm&aring;lene som f&oslash;lger er basert p&aring; den Europeiske Makroseismisk Skala EMS98: </strong><br> 
  <table width="760" border="0"> 
    <tr> 
      <td width="398">Ble skjelvet merket av f&aring; innend&oslash;rs?</td> 
      <td width="20"><input name="II-1" type="radio" value="ja"></td> 
      <td width="40">Ja</td> 
      <td width="20"><input name="II-1" type="radio" value="nei" checked></td> 
      <td width="40">Nei</td> 
    </tr> 
    <tr> 
      <td>Ble skjelvet merket av flere? </td> 
      <td width="20"><input name="III-1" type="radio" value="ja"></td> 
      <td width="40">Ja</td> 
      <td width="20"><input name="III-1" type="radio" value="nei" checked></td> 
      <td width="40">Nei</td> 
    </tr> 
    <tr> 
      <td>Var det svake rystelser i bygningen - som av en liten lastebil?</td> 
      <td width="20"><input name="III-2" type="radio" value="ja"></td> 
      <td width="40">Ja</td> 
      <td width="20"><input name="III-2" type="radio" value="nei" checked></td> 
      <td width="40">Nei</td> 
    </tr> 
    <tr> 
      <td>Var det sterke rystelser som av buss/lastebil/tog - og lyd? </td> 
      <td width="20"><input name="IV-1" type="radio" value="ja"></td> 
      <td width="40">Ja</td> 
      <td width="20"><input name="IV-1" type="radio" value="nei" checked></td> 
      <td width="40">Nei</td> 
    </tr> 
    <tr> 
      <td>Ble rystelsene merket som ved en sprengning? </td> 
      <td width="20"><input name="IV-2" type="radio" value="ja"></td> 
      <td width="40">Ja</td> 
      <td width="20"><input name="IV-2" type="radio" value="nei" checked></td> 
      <td width="40">Nei</td> 
    </tr> 
    <tr> 
      <td>Klirret vindusruter eller d&oslash;rer? </td> 
      <td width="20"><input name="IV-3" type="radio" value="ja"></td> 
      <td width="40">Ja</td> 
      <td width="20"><input name="IV-3" type="radio" value="nei" checked></td> 
      <td width="40">Nei</td> 
    </tr> 
    <tr> 
      <td>Klirret kopper og kar? </td> 
      <td width="20"><input name="IV-4" type="radio" value="ja"></td> 
      <td width="40">Ja</td> 
      <td width="20"><input name="IV-4" type="radio" value="nei" checked></td> 
      <td width="40">Nei</td> 
    </tr> 
    <tr> 
      <td> Ble skjelvet merket av folk utend&oslash;rs; v&aring;knet de som sov? </td> 
      <td width="20"><input name="V-1" type="radio" value="ja"></td> 
      <td width="40">Ja</td> 
      <td width="20"><input name="V-1" type="radio" value="nei" checked></td> 
      <td width="40">Nei</td> 
    </tr> 
    <tr> 
      <td> Svingte lamper eller beveget bilder seg p&aring; veggen? </td> 
      <td width="20"><input name="V-2" type="radio" value="ja"></td> 
      <td width="40">Ja</td> 
      <td width="20"><input name="V-2" type="radio" value="nei" checked></td> 
      <td width="40">Nei</td> 
    </tr> 
    <tr> 
      <td> Ble sm&aring; gjenstander flyttet/veltet? </td> 
      <td width="20"><input name="V-3" type="radio" value="ja"></td> 
      <td width="40">Ja</td> 
      <td width="20"><input name="V-3" type="radio" value="nei" checked></td> 
      <td width="40">Nei</td> 
    </tr> 
    <tr> 
      <td> Ble skjelvet merket av de fleste, l&oslash;p noen ut av bygningen? </td> 
      <td><input name="VI-1" type="radio" value="ja"></td> 
      <td>Ja</td> 
      <td><input name="VI-1" type="radio" value="nei" checked></td> 
      <td>Nei</td> 
    </tr> 
    <tr> 
      <td> Falt bilder i gulvet, b&oslash;ker ut av hyllene? </td> 
      <td><input name="VI-2" type="radio" value="ja"></td> 
      <td>Ja</td> 
      <td><input name="VI-2" type="radio" value="nei" checked></td> 
      <td>Nei</td> 
    </tr> 
    <tr> 
      <td> Ble tunge/st&oslash;rre m&oslash;bler flyttet? </td> 
      <td><input name="VI-3" type="radio" value="ja"></td> 
      <td>Ja</td> 
      <td><input name="VI-3" type="radio" value="nei" checked></td> 
      <td>Nei</td> 
    </tr> 
    <tr> 
      <td> Ble sm&aring; skader (sprekker i grunnmur og murpussete flater) observert? </td> 
      <td><input name="VI-4" type="radio" value="ja"></td> 
      <td>Ja</td> 
      <td><input name="VI-4" type="radio" value="nei" checked></td> 
      <td>Nei</td> 
    </tr> 
    <tr> 
      <td> Var det vanskelig &aring; st&aring; oppreist? </td> 
      <td><input name="VII-1" type="radio" value="ja"></td> 
      <td>Ja</td> 
      <td><input name="VII-1" type="radio" value="nei" checked></td> 
      <td>Nei</td> 
    </tr> 
    <tr> 
      <td> Var det mindre skader p&aring; inventar? </td> 
      <td><input name="VII-2" type="radio" value="ja"></td> 
      <td>Ja</td> 
      <td><input name="VII-2" type="radio" value="nei" checked></td> 
      <td>Nei</td> 
    </tr> 
    <tr> 
      <td> Var det skader p&aring; grunnmur? Ble sm&aring; eller moderate &oslash;deleggelser observert i bygningen? </td> 
      <td><input name="VII-3" type="radio" value="ja"></td> 
      <td>Ja</td> 
      <td><input name="VII-3" type="radio" value="nei" checked></td> 
      <td>Nei</td> 
    </tr> 
  </table> 
  <br> 
  <table width="760" border="0"> 
    <tr> 
      <td><p>Hvordan et jordskjelv merkes er avhengig av avstanden til skjelvets senter, undergrunnens beskaffenhet og andre lokale forhold. Det er derfor viktig at flest mulig besvarer disse sp&oslash;rsm&aring;lene. </p></td> 
    </tr> 
  </table> 
  <br> 
  <table width="760" border="0"> 
    <tr> 
      <td> Kommentarer (vennligst beskriv med egne ord hvordan du opplevde jordskjelvet): </td> 
    </tr> 
    <tr> 
      <td><textarea name="kommentar" cols="80" rows="4" id="kommentar"></textarea></td> 
    </tr> 
  </table> 
  <p>For at vi skal ha nytte av svarene du har oppgitt trenger vi ogs&aring; informasjon om hvor du var p&aring; da skjelvet inntraff.<br> 
    Du skal alts&aring; bare oppgi din bostedsadresse dersom du var hjemme da skjelvet inntraff. Dersom du ikke var hjemme,<br> 
    skal du alts&aring; oppgi mest mulig n&oslash;yaktig adresse til stedet du befant deg p&aring;.</p> 
  <table width="760" border="0"> 
    <tr> 
      <td width="101">Adresse</td> 
      <td width="649"><p> 
          <input name="adresse1" type="text" id="adresse1" size="50"> 
          <br> 
        </p></td> 
    </tr> 
    <tr> 
      <td>&nbsp;</td> 
      <td><input name="adresse2" type="text" id="adresse2" size="50"></td> 
    </tr> 
    <tr> 
      <td>Postnummer:</td> 
      <td><input name="postnr" type="text" id="postnr" size="6" maxlength="4"> 
        Sted:
        <input name="poststed" type="text" id="poststed" size="30"></td> 
    </tr> 
  </table> 
  <p>Dersom du ikke kjenner adressen, fors&oslash;k likevel &aring; gi en s&aring; n&oslash;yaktig som mulig beskrivelse av hvor du var da skjelvet inntraff:</p> 
  <p> 
    <textarea name="beskr" id="beskr" cols="80" rows="4"></textarea> 
  </p> 
  <p>Dersom du kjenner eksakt posisjon for stedet du var i grader og minutter<br> 
    (og gjerne ogs&aring; sekunder om kjent) s&aring; opp oppgi ogs&aring; dette:</p> 
  <table width="267" border="0"> 
    <tr> 
      <td width="101">Lengdegrad:</td> 
      <td width="649"> <input name="lenGra" type="text" id="lenGra" size="2" maxlength="4"> 
&deg; 
        <input name="lenMin" type="text" id="lenMin" size="2" maxlength="2"> 
        m
        <input name="lenSek" type="text" id="lenSek" size="2" maxlength="2"> 
        s</td> 
    </tr> 
    <tr> 
      <td> Breddegrad:</td> 
      <td> <input name="breGra" type="text" id="breGra" size="2" maxlength="2"> 
&deg; 
        <input name="breMin" type="text" id="breMin" size="2" maxlength="2"> 
        m
        <input name="breSek" type="text" id="breSek" size="2" maxlength="2"> 
        s </td> 
    </tr> 
  </table> 
  <p> 
    <input name="Reset" type="reset" id="Reset" value="Tilbakestill"> 
    <input name="Submit" type="submit" id="Submit" value="Send skjema"> 
  </p> 
  <a href="http://www.geo.uib.no/Seismologi/">Tilbake</a> 
</form> 
</body>
</html>
